-------------------------------------------------------------------------------
-- Library - Localisation - enUS
-------------------------------------------------------------------------------
-- This gonna be all the spamy text
_G.LibAvionOpt__L = {
	["StartValues"] 			= "Start values",
	["StartValues_Desc"] 		= "Change values that are being used, when starting animation",
	
	["AnimationValues"] 		= "Animate values",
	["AnimationValues_Desc"] 	= "Change values that are being used, for animating animation",
	
	["IsAnimated"] 				= "Animate",
	["IsAnimated_Desc"] 		= "What should be animated",

	["AddRandom"] 				= "Randomness",
	["AddRandom_Desc"]			= "Add some randomness to animation",
	
	["AnimationFunc"] 			= "Speed",
	["AnimationFunc_Desc"] 		= "Which function to use for animation (smoothness, speed, ect.)",
	
	["Color"] 					= "Color",
	["Color_Desc"] 				= "Change color",
	["ColorAlpha"] 				= "Color/Alpha",
	["ColorAlpha_Desc"] 		= "Change color and alpha",
	
	["Alpha"] 					= "Alpha",
	["Alpha_Desc"] 				= "Change alpha",

	["Position"] 				= "Position",
	["Position_Desc"] 			= "Change position",
	
	["PositionX"] 				= "X-Position",
	["PositionX_Desc"] 			= "Change X-Position",
	["PositionY"] 				= "Y-Position",
	["PositionY_Desc"] 			= "Change Y-Position",
	
	["Width"] 					= "Width",
	["Width_Desc"] 				= "Change width",
	
	["Height"] 					= "Height",
	["Height_Desc"] 			= "Change height",
	
	["Rotation"] 				= "Rotation",
	["Rotation_Desc"] 			= "Change rotation",
	
	["Scale"] 					= "Scale",
	["Scale_Desc"] 				= "Change scale",
	
	["fadeMode"]				= "FadeOut mode",
	["fadeMode_Desc"]			= "Choose fade-out style",
	
	["JustFade"]				= "Fading only",
	["AnimateAndFade"]			= "Fade with animation",
	["InvertOnFade"]			= "Invert animation",
	
	["ShowWhileWait"] 			= "Show while waiting",
	["ShowWhileWait_Desc"] 		= "Allready show animation while waiting timer is running",
	
	["Durations"] 				= "Durations",
	["Durations_Desc"] 			= "Duration of animation",
	
	["AnimationTime"] 			= "Animate",
	["AnimationTime_Desc"] 		= "Main animation time",
	
	["FadeTime"] 				= "Fade",
	["FadeTime_Desc"] 			= "Duration for fading",
	
	["WaitTime"] 				= "Wait",
	["WaitTime_Desc"] 			= "Time to wait until showing animation",
	
	["Texture"] 				= "Texture",
	["Texture_Desc"] 			= "Change animation texture",
	
	["MirrorX"]					= "Mirror horizontal",
	["MirrorX_Desc"]			= "Mirror textur on x-axis",
	
	["MirrorY"]					= "Mirror vertical",
	["MirrorY_Desc"]			= "Mirror texture on y-axis",
	
	["Sound"] 					= "Sound",
	["Sound_Desc"] 				= "Sound to play when triggered",
	
	["NoEnd"]					= "Don't vanish",
	["NoEnd_Desc"]				= "This animation will only vanish/fade when canceled",
	
	["RunAnimation"] 			= "Trigger",
	["RunAnimation_Desc"] 		= "Trigger this animation (for testing)",
	
	["GuideFrame"]				= "Guide-Frame",
	["GuideFrame_Desc"]			= "Open Guide-Frame for easier setup",
	
	["TestSettings"] 			= "Testing",
	["TestSettings_Desc"] 		= "Settings for test animation",
	
	["Menu"]					= "Menu",
	["MirrorX"]					= "Mirror X",
	["MirrorY"]					= "Mirror Y",
	
	["GuideFrameMode0"]			= "Edit Start-Values\nRightclick to change edit mode...",
	["GuideFrameMode1"]			= "Edit Animation-Values\nRightclick to change edit mode...",
}

-- If there is no translation, force it to resutrn its name
setmetatable(_G.LibAvionOpt__L, {
	__index = function(self, key)
		self[key] = key
		return key
	end
})
